#include "AllocId.h"

AllocId::AllocId(int16_t _allocId, int16_t _StartTime, int16_t _GrantSize) {
	allocId = _allocId;
	StartTime = _StartTime;
	GrantSize = _GrantSize;
	StartTimeNew = 0;
	GrantSizeNew = 0;
	Odesilani = false;
	fragmentovaneSdu = Sdu((uint16_t)0xffffff, (uint16_t)0xffffff, (double)0, (uint16_t)0, (uint8_t)0, (uint16_t)0);
}

AllocId::AllocId(int16_t _allocId) {
	allocId = _allocId;
	StartTime = 0;
	GrantSize = 0;
	StartTimeNew = 0;
	GrantSizeNew = 0;
	Odesilani = false;
	fragmentovaneSdu = Sdu((uint16_t)0xffffff, (uint16_t)0xffffff, (double)0, (uint16_t)0, (uint8_t)0, (uint16_t)0);
}